RESTinio

Classes | Public Member Functions | List of all members
nonstd::optional_lite::nullopt_t Struct Reference

disengaged state tag More...

`#include <optional.hpp>`

## Classes
struct | init

## Public Member Functions
optional_constexpr | nullopt_t (init) optional_noexcept

## Detailed Description

disengaged state tag

Definition at line 889 of file optional.hpp.

## Constructor & Destructor Documentation

## ◆ nullopt_t()

optional_constexpr nonstd::optional_lite::nullopt_t::nullopt_t | ( | init |  | ) |
| inline explicit

Definition at line 892 of file optional.hpp.

The documentation for this struct was generated from the following file:

- restinio/third_party/optional-lite/optional.hpp